import React from 'react';

// import lang from 'cv-react-html/src/nls/i18n';
import PropTypes from 'prop-types';
import getStyles from './DataTableEmpty.styles';

const DataTableEmpty = (props) => {
    const { contextStyles } = props;
    const styles = getStyles(contextStyles);
    return (
        <div style={ styles.container }>
            <text style={ styles.text }>No records found...</text>
        </div>
    );
};

DataTableEmpty.propTypes = {
    /** Styles for this component */
    contextStyles: PropTypes.shape({
        /** Styling for the main container */
        container: PropTypes.object,

        /** Styles for text */
        text: PropTypes.object,
    }),
};

export default DataTableEmpty;